POST Agents/Appointment/GetMySyncAppointments
Some tooltip text!
• 5 minutes to read
• 5 minutes to read
POST /api/v1/Agents/Appointment/GetMySyncAppointments
Method that returns a specified number of appointments within a time range.
The appointments belong to the currently logged on user. NsApiSlow threshold: 5000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Appointment/GetMySyncAppointments?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
StartTime, EndTime
| Property Name | Type | Description |
|---|---|---|
| StartTime | String | |
| EndTime | String |
Response:array
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: array
| Property Name | Type | Description |
|---|---|---|
| AlarmTime | date-time | Date and time at which to show alarm |
| AppointmentId | int32 | Primary key |
| AppointmentText | string | The appointment's textbox; holds a descriptive text about the appointment. Filled out by the user. |
| ContactDepartment | string | The department of the contact connected to the appointment |
| ContactFullName | string | The entire name of the contact, including department name |
| ContactName | string | The contact associated with the appointment. |
| ContactId | int32 | The contacts identifier |
| EndDate | date-time | Date + end time planned |
| HasAlarm | bool | Does this appointment have an alarm |
| IsAllDay | bool | |
| IsAssignment | bool | |
| IsBusy | bool | |
| IsCompleted | bool | |
| IsInvitation | bool | |
| IsTentative | bool | |
| Location | string | Location for appointment, defaulted from invited resource of type place and other rules, but you can write anything you want here |
| Participants | array | |
| PersonFormalName | string | |
| PersonFullName | string | The full name of the person this appointment belongs to. |
| PersonId | int32 | Person ID of person the appointment is with, may be 0 |
| ProjectId | int32 | ID of project referred to, may be 0 |
| ProjectName | string | Project name |
| SaleId | int32 | Owning sale, if any (may be 0) |
| SaleName | string | Sale heading (short description?) |
| StartDate | date-time | date + start time planned |
| TaskName | string | |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Appointment/GetMySyncAppointments
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"StartTime": "2021-04-04T10:10:58.3975704+02:00",
"EndTime": "2019-01-25T10:10:58.3975704+01:00"
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
[
{
"AlarmTime": "2010-10-27T10:10:58.4134237+02:00",
"AppointmentId": 979,
"AppointmentText": "repellendus",
"ContactDepartment": "leverage mission-critical e-services",
"ContactFullName": "Dr. Mitchell Stefan White Sr.",
"ContactName": "Ritchie Inc and Sons",
"ContactId": 579,
"EndDate": "2021-11-15T10:10:58.4134237+01:00",
"HasAlarm": false,
"IsAllDay": false,
"IsAssignment": false,
"IsBusy": true,
"IsCompleted": true,
"IsInvitation": true,
"IsTentative": false,
"Location": "itaque",
"Participants": [
{
"PersonId": 680,
"PersonFirstName": "Senger-Weber",
"PersonMiddleName": "Wolf-Willms",
"PersonLastname": "Flatley",
"PersonMrmrs": "nihil",
"PersonTitle": "voluptatem",
"PersonPosition": "rerum",
"PersonAcademicTitle": "quibusdam",
"PersonFormalName": "Rau LLC",
"PersonFullName": "Lee Wyman",
"ContactId": 597,
"ContactName": "Runolfsson LLC",
"ContactDepartment": "",
"ContactBusiness": "Information Technology",
"ContactCountry": "Sokovia",
"ContactCategory": "VIP Customer",
"ContactFullName": "Lora Donnelly",
"EMail": [
"aut",
"impedit"
],
"PhonePrivate": [
"003-364-3550 x2576",
"749-765-5447 x766"
],
"PhoneFax": [
"(957)683-4547",
"1-023-071-6194 x2761"
],
"PhoneMobile": [
"827-856-9029 x485",
"1-639-852-1497"
],
"PhoneDirect": [
"735.761.4051 x8585",
"1-260-206-3893 x275"
],
"PhoneContact": [
"1-005-519-7616 x2368",
"364-140-3253"
],
"Messenger": [
"est",
"blanditiis"
],
"Voip": [
"mollitia",
"aliquam"
],
"ContactUrl": [
"http://www.example.com/",
"http://www.example.com/"
],
"Url": [
"http://www.example.com/",
"http://www.example.com/"
],
"StreetAddress": null,
"PostalAddress": null,
"Country": "Sokovia",
"PersonAddress": null,
"PersonCountry": "Sokovia",
"ParticipantStatus": "Assignment",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 629
}
}
}
],
"PersonFormalName": "Herman-Daugherty",
"PersonFullName": "Arnulfo Langworth",
"PersonId": 800,
"ProjectId": 692,
"ProjectName": "Von-Fahey",
"SaleId": 764,
"SaleName": "Kuvalis LLC",
"StartDate": "2022-12-01T10:10:58.4144242+01:00",
"TaskName": "Mertz LLC",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 959
}
}
}
]